com.impinj.octane

## Class LowDutyCycleSettings

- java.lang.Object
- - com.impinj.octane.LowDutyCycleSettings

-     public class LowDutyCycleSettings
      extends java.lang.Object

  The Impinj reader can operation automatically in a low duty cycle mode, performing continuous inventory when tags are present, but reducing the duty cycle of the inventory when tags have been absent from the field for some time. This is helpful to reduce interference and to lower power usage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LowDutyCycleSettings()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEmptyFieldTimeoutInMs()` When the reader detects and empty field (no tags) for this time, on a given antenna, it will enter low duty cycle mode and check this antenna for tags only periodically.
    `int` | `getFieldPingIntervalInMs()` When in low duty cycle mode, the reader will check the field for tags on each antenna at least once every Ping Interval.
    `java.lang.Boolean` | `getIsEnabled()`
    `void` | `setEmptyFieldTimeoutInMs(int emptyFieldTimeoutInMs)` When the reader detects and empty field (no tags) for this time, on a given antenna, it will enter low duty cycle mode and check this antenna for tags only periodically.
    `void` | `setFieldPingIntervalInMs(int fieldPingIntervalInMs)` When in low duty cycle mode, the reader will check the field for tags on each antenna at least once every Ping Interval.
    `void` | `setIsEnabled(java.lang.Boolean isEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LowDutyCycleSettings

          public LowDutyCycleSettings()

  - ### Method Detail

    - #### getIsEnabled

          public java.lang.Boolean getIsEnabled()

      Returns:
        true if low duty cycle is enabled

    - #### setIsEnabled

          public void setIsEnabled(java.lang.Boolean isEnabled)

      Parameters:
        `isEnabled` - set to true to enable low duty cycle

    - #### getEmptyFieldTimeoutInMs

          public int getEmptyFieldTimeoutInMs()

      When the reader detects and empty field (no tags) for this time, on a given antenna, it will enter low duty cycle mode and check this antenna for tags only periodically.
      Returns:
        the current value of the empty field timeout

    - #### setEmptyFieldTimeoutInMs

          public void setEmptyFieldTimeoutInMs(int emptyFieldTimeoutInMs)

      When the reader detects and empty field (no tags) for this time, on a given antenna, it will enter low duty cycle mode and check this antenna for tags only periodically.
      Parameters:
        `emptyFieldTimeoutInMs` - the desired value for the empty field timeout

    - #### getFieldPingIntervalInMs

          public int getFieldPingIntervalInMs()

      When in low duty cycle mode, the reader will check the field for tags on each antenna at least once every Ping Interval.
      Returns:
        the current value for the Field Ping Interval

    - #### setFieldPingIntervalInMs

          public void setFieldPingIntervalInMs(int fieldPingIntervalInMs)

      When in low duty cycle mode, the reader will check the field for tags on each antenna at least once every Ping Interval.
      Parameters:
        `fieldPingIntervalInMs` - the desired value for the field ping interval